@import "vars";

.head {
  background: #F8F3F4;
  height: 148px;
  display: flex;
  align-items: center;
  justify-content: space-between;

  &__heading {
    font-size: 24px;
    line-height: 29px;
    color: $colorSite;
  }
}

.breadcrumbs {
  &__ul {
    display: flex;
  }

  &__li {
    list-style-type: none;

    &:last-of-type .breadcrumbs__link {
      font-weight: bold;
      color: $colorSite;
    }

    &:not(:last-of-type)::after {
      content: '/';
      padding-left: 6px;
      padding-right: 6px;
      font-weight: 300;
      font-size: 14px;
      line-height: 17px;
      color: #636363;
    }
  }

  &__link {
    font-weight: 300;
    font-size: 14px;
    line-height: 17px;
    color: #636363;

    &:hover {
      color: $colorSite;
      transition: color .3s;
    }
  }
}

.filter-sort {
  padding-top: 36px;
  padding-bottom: 64px;
  display: flex;
  gap: $gapGrid;
}

.filter {
  width: $contentCol4;
  position: relative;

  &__summary {
    display: flex;
    align-items: center;
    gap: 11px;
  }

  &__link {
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    color: #6F6E6E;

    &:hover {
      color: $colorSite;
    }
  }

  &__box-link {
    display: flex;
    flex-direction: column;
    gap: 11px;
    padding: 16px 24px;
  }

  &__details {
    padding: 0 16px;
    position: absolute;
    width: 100%;
    z-index: 1;
    box-sizing: border-box;

    &[open] {
      background: #FFFFFF;
      box-shadow: 6px 4px 35px rgba(0, 0, 0, 0.21);
    }

    &[open] .filter__summary {
      color: $colorSite;
    }

    &[open] .filter__summary path {
      fill: $colorSite;
    }
  }

  &__details-in {
    padding-top: 16px;

    &[open] .filter__category {
      color: $colorSite;
    }
  }

  &__category {
    border-left: 5px solid $colorSite;
    padding-top: 11px;

    &-border-bottom {
      border-bottom: 1px solid $shadowsSite;
      padding-bottom: 11px;
      padding-left: 11px;
    }
  }
}

.listing {
  justify-content: center;
  margin-top: 48px;
  margin-bottom: 96px;
  color: $shadowsSite;

  &__number {
    display: inline-block;
    padding: 12px;
    text-decoration: none;
    font-weight: 300;
    font-size: 16px;
    line-height: 19px;
    color: inherit;
    &:hover {
      color: $colorSite;
      transition: color .3s;
    }
  }

  &__icon {
    display: inline-block;
    padding: 12px;
  }

  &__box {
    border: 1px solid $shadowsSite;

  }
}

.sort {
  display: flex;
  gap: 28px;
  padding-top: 12px;

  &__summary {
    display: flex;
    align-items: center;
    gap: 10px;
  }

  &__box {
    background: #FFFFFF;
    box-shadow: 6px 4px 35px rgba(0, 0, 0, 0.21);
    width: 79px;
    box-sizing: border-box;
    padding: 8px;
    display: flex;
    flex-direction: column;
    gap: 6px;
    position: absolute;
    z-index: 1;
    margin-top: 5px;
  }

  &__delails {
    position: relative;
  }

  &__item {
    display: flex;
    gap: 9px;
  }
}

